// Package filter ...
//
// Description : filter ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-07-04 18:02
package filter

// MapRule 映射规则
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 12:21 2022/7/4
type MapRule struct {
	SourcePath   string `json:"source_path"`   // 原路径
	MapPath      string `json:"map_path"`      // 映射路径
	Required     bool   `json:"required"`      // 必须存在
	DataType     string `json:"data_type"`     // 数据类型
	DefaultValue string `json:"default_value"` // 默认值, 以字符串传入, 会转换成 DataType
}
